public inbox for git-commits@fedoraproject.org
help / color / mirror / Atom feed
* [tests/selinux] pr775-checkpolicy-revdeps: Run systemd-homed test only if systemd_homed_t exists
@ 2026-09-11 13:20 Zdenek Pytela
0 siblings, 0 replies; only message in thread
From: Zdenek Pytela @ 2026-09-11 13:20 UTC (permalink / raw)
To: git-commits
A new commit has been pushed.
Repo : tests/selinux
Branch : pr775-checkpolicy-revdeps
Commit : 6fc4e1ae72e950f542daa9374d03d4e12699d6f1
Author : Zdenek Pytela <zpytela@redhat.com>
Date : 2023-04-28T16:33:52+00:00
Stats : +1/-1 in 1 file(s)
URL : https://src.fedoraproject.org/tests/selinux/c/6fc4e1ae72e950f542daa9374d03d4e12699d6f1?branch=pr775-checkpolicy-revdeps
Log:
Run systemd-homed test only if systemd_homed_t exists
The systemd-homed service is not confined yet so no particular type
is assigned to the executable and the process, neither there are rules
in place to make the service run successfully.
---
diff --git a/selinux-policy/systemd-homed/runtest.sh b/selinux-policy/systemd-homed/runtest.sh
index 5534668..c408608 100755
--- a/selinux-policy/systemd-homed/runtest.sh
+++ b/selinux-policy/systemd-homed/runtest.sh
@@ -109,7 +109,7 @@ expect -f - <<<'
}
rlJournalStart
- if [ ! -f /usr/lib/systemd/systemd-homed ] ; then
+ if ! seinfo -t systemd_homed_t | grep -q systemd_homed_t ; then
rlLog "Not applicable to this OS version."
rlJournalEnd
exit 0
^ permalink raw reply related [flat|nested] only message in thread
only message in thread, other threads:[~2026-09-11 13:20 UTC | newest]
Thread overview: (only message) (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2026-09-11 13:20 [tests/selinux] pr775-checkpolicy-revdeps: Run systemd-homed test only if systemd_homed_t exists Zdenek Pytela
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox